
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>iOS中修改UITextField占位符字体颜色的方法总结_IOS / iVAN</title>

    <meta name="description" content="iOS中修改UITextField占位符字体颜色的方法总结_IOS 前言 最近学了UITextField控件, 感觉在里面设置占位符非常好, 给用户提示信息, 于是就在想占位符的字体和颜色能不能改变呢?下面是小编的一些简单的实现,有需要的朋友们可以参考. 修改UITextField的占位符文字颜色主要有三个方法: 1.使用attributedPlaceholder属性 @property(nullable, nonatomic,copy) NSAttributedString *attributedPlaceholder NS_AVAILABLE_IOS(6_0">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">iOS中修改UITextField占位符字体颜色的方法总结_IOS</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>前言</strong></p>
<p>最近学了UITextField控件, 感觉在里面设置占位符非常好, 给用户提示信息, 于是就在想占位符的字体和颜色能不能改变呢?下面是小编的一些简单的实现，有需要的朋友们可以参考。</p>
<p><strong>修改UITextField的占位符文字颜色主要有三个方法：</strong></p>
<p><strong>1、使用attributedPlaceholder属性</strong></p>
<pre>
@property(nullable, nonatomic,copy) NSAttributedString  *attributedPlaceholder NS_AVAILABLE_IOS(6_0); // default is nil</pre>
<p><strong>2、重写drawPlaceholderInRect方法</strong></p>
<pre>
- (void)drawPlaceholderInRect:(CGRect)rect;</pre>
<p><strong>3、修改UITextField内部placeholderLaber的颜色</strong></p>
<pre>
[textField setValue:[UIColor grayColor] forKeyPath@"placeholderLaber.textColor"];</pre>
<p><strong>以下是详细的实现过程</strong></p>
<p>给定场景，如在注册登录中，要修改手机号和密码TextField的<code>placeholder</code>的文字颜色。</p>
<p><strong>效果对比</strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2OTIzMTEyODQ2NDUzLmpwZw==.jpg"><br />
使用前</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2OTIzMTEyOTI2NTM5LmpwZw==.jpg"><br />
使用后</p>
<p><strong>使用attributedPlaceholder</strong></p>
<p>自定义<code>GYLLoginRegisterTextField</code>类，继承自UITextField；实现<code>awakeFromNib()</code>方法，如果使用<code>storyboard</code>，那么修改对应的UITextField的<code>CustomClass</code>为<code>GYLLoginRegisterTextField</code>即可</p>
<p>具体代码如下：</p>
<pre>
#import "GYLLoginRegisterTextField.h"
@implementation GYLLoginRegisterTextField

- (void)awakeFromNib
{
 self.tintColor = [UIColor whiteColor];  //设置光标颜色

 //修改占位符文字颜色
 NSMutableDictionary *attrs = [NSMutableDictionary dictionary];
 attrs[NSForegroundColorAttributeName] = [UIColor whiteColor];
 self.attributedPlaceholder = [[NSAttributedString alloc] initWithString:self.placeholder attributes:attrs];
}

@end</pre>
<p><strong>重写drawPlaceholderInRect方法</strong></p>
<p>与方法一同样，自定义<code>GYLLoginRegisterTextField</code>，继承自UITextField，重写<code>drawPlaceholderInRect</code>方法，后续相同</p>
<p>代码如下：</p>
<pre>
#import "GYLLoginRegisterTextField.h"

@implementation GYLLoginRegisterTextField

- (void)awakeFromNib
{
 self.tintColor = [UIColor whiteColor];  //设置光标颜色
}

- (void)drawPlaceholderInRect:(CGRect)rect
{
 NSMutableDictionary *attrs = [NSMutableDictionary dictionary];
 attrs[NSForegroundColorAttributeName] = [UIColor whiteColor];
 attrs[NSFontAttributeName] = self.font;

 //画出占位符
 CGRect placeholderRect;
 placeholderRect.size.width = rect.size.width;
 placeholderRect.size.height = rect.size.height;
 placeholderRect.origin.x = 0;
 placeholderRect.origin.y = (rect.size.height - self.font.lineHeight) * 0.5;
 [self.placeholder drawInRect:placeholderRect withAttributes:attrs];

 //或者
 /*
 CGPoint placeholderPoint = CGPointMake(0, (rect.size.height - self.font.lineHeight) * 0.5);
 [self.placeholder drawAtPoint:placeholderPoint withAttributes:attrs];
 */
}

@end</pre>
<p><strong>修改UITextField内部placeholderLaber的颜色<br /></strong></p>
<p>使用KVC机制，找到UITextField内部的修改站位文字颜色的属性：<code>placeholderLaber.textColor</code></p>
<p>代码如下：</p>
<pre>
#import "GYLLoginRegisterTextField.h"
@implementation GYLLoginRegisterTextField

- (void)awakeFromNib
{
 self.tintColor = [UIColor whiteColor];  //设置光标颜色

 //修改占位符文字颜色
 [self setValue:[UIColor grayColor] forKeyPath@"placeholderLaber.textColor"];
}

@end</pre>
<p>第三种方法比较简单，建议可以将此封装：扩展UITextField，新建category，添加<code>placeholderColor</code>属性，使用KVC重写<code>set</code>和<code>get</code>方法。</p>
<p><strong>总结</strong></p>
<p>以上就是这篇文章的全部内容了，希望能对大家开发iOS有所帮助，如果有疑问大家可以留言交流。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索ios<br />
                    ，                uitextfield<br />
                    ，                占位符颜色<br />
                    ，                uitextfield字体颜色<br />
                                    文字颜色<br />
                                    uitextfield字体颜色、uitextfield占位符、input占位符字体颜色、uitextfield边框颜色、uitextfield 光标颜色，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 05:53:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/uitextfield/" title="UITextField">UITextField</a>, <a href="https://www.iamivan.net/tag/%e5%8d%a0%e4%bd%8d%e7%ac%a6%e9%a2%9c%e8%89%b2/" title="占位符颜色">占位符颜色</a>, <a href="https://www.iamivan.net/tag/uitextfield%e5%ad%97%e4%bd%93%e9%a2%9c%e8%89%b2/" title="uitextfield字体颜色">uitextfield字体颜色</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e5%ad%97%e9%a2%9c%e8%89%b2/" title="文字颜色">文字颜色</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>iOS中修改UITextField占位符字体颜色的方法总结_IOS的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2P8VVp.html" rel="bookmark">Linux中设置vim中显示或不显示字体颜色&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux中设置vim中显示或不显示字体颜色? 首先我们要确定已经安装了vim-enhanced 包,如果没有的话,请按以下步骤操作: [root@localhost software]# wget ftp://ftp.pbone.net/mirror/archive.download.redhat.com/pub/redhat/linux/5.2/en/os/i386/RedHat/RPMS/vim-enhanced-5.3-3.i386.rpm [root@localhost softwar			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAEN5XM.html" rel="bookmark">springmvc-Spring 导入applicationContext&period;xml的bean中无法使用参数占位符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Spring 导入applicationContext.xml的bean中无法使用参数占位符 不知道有人遇到过这种情况没有,在applicationContext.xml中可以正常使用参数占位符,如: &lt;property name=&quot;driverClass&quot; value=&quot;${jdbc.driverClass}&quot;/&gt; &lt;property name=&quot;jdbcUrl&quot; value=&quot;${jdbc.jdbcUrl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOX0DQb.html" rel="bookmark">Ext修改GridPanel数据和字体颜色、css属性等&lowbar;extjs</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Ext修改GridPanel数据和字体颜色等,不是单指EditGridPanel 首先获取选中的行(当然也可以获取单元格): 复制代码 代码如下: var selectedRow = grid.getSelectionModel().getSelected(); 修改设置: 复制代码 代码如下: selectedRow.set(&quot;key&quot;,&quot;value&quot;); 修改背景色,首先获取行号,然后获取行的view对象: 复制代码 代码如下: var selectedIdx			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVjWDz.html" rel="bookmark">Android TextView字体颜色设置方法小结&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例总结了Android TextView字体颜色设置方法.分享给大家供大家参考,具体如下: 对于setTextView(int a)这里的a是传进去颜色的值.例如,红色0xff0000是指0xff0000如何直接传入R.color.red是没有办法设置颜色的,只有通过文章中的第三种方法先拿到资源的颜色值再传进去. tv.setTextColor(this.getResources().getColor(R.color.red)); 关键字: android textview color T			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmj1xwz.html" rel="bookmark">Android TextView字体颜色设置方法小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例总结了Android TextView字体颜色设置方法.分享给大家供大家参考,具体如下: 对于setTextView(int a)这里的a是传进去颜色的值.例如,红色0xff0000是指0xff0000如何直接传入R.color.red是没有办法设置颜色的,只有通过文章中的第三种方法先拿到资源的颜色值再传进去. tv.setTextColor(this.getResources().getColor(R.color.red)); 关键字: android textview color T			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo70VDb.html" rel="bookmark">win7修改CMD命令提示符文字字体大小的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  很多网友喜欢运行cmd进入dos命令窗口,在dos命令窗口下进行其他操作,但有的网友反应自己眼睛不太好使,再加上显示屏较小,看代码较为费眼吃力,怎样才能把dos命令窗口中的字体变大呢,请看小编怎样处理的. win7修改CMD命令提示符文字字体大小的方法 1.点击开始菜单,在运行中输入cmd后回车,进入dos操作界面. 2.右击上方的标题栏,在弹出的菜单中选择&quot;默认值&quot;进入控制台窗口属性. 3.选择字体选项卡,在右方的&quot;大小(S)&quot;界面中选择较大的即可,当然也可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6Z1vYM.html" rel="bookmark">JavaScript实现更改网页背景与字体颜色的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JavaScript实现更改网页背景与字体颜色的方法.分享给大家供大家参考.具体分析如下: JavaScript,通过点击按钮更改网页背景与字体的颜色,网页中有N个改变颜色的按钮,点击不同的按钮,网页的字体与背景就会改变成不同的颜色.很简单的JavaScript小程序. 一.基本目标 一打开网页首先提示问候信息&quot;你好&quot; 网页中有N个改变颜色的按钮,其中返回是返回网页的默认颜色,背景是白的,字体是黑的 点击不同的按钮,网页的字体与背景就会改变成不同的颜色. 本来想做出彩虹起			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYP5rb.html" rel="bookmark">js获取及修改网页背景色和字体色的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了js获取及修改网页背景色和字体色的方法.分享给大家供大家参考,具体如下: 获得网页的背景色和字体颜色,方法如下: 思想: 通过取得颜色属性值得到的是 rgb 色,不是我们想要的,所以需要将 rgb 色装换为 十六进制色 ,首先获得rgb色 : 代码如下: 复制代码 代码如下: var rgb = document.getElementById('color').style.backgroundColor; 得到格式如下: rgb(225, 22, 23); 然后进行拆分: 代码如下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MArA53p.html" rel="bookmark">JQuery实现动态适时改变字体颜色的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了JQuery实现动态适时改变字体颜色的方法,实例分析了jQuery操作鼠标事件及颜色的技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了JQuery实现动态适时改变字体颜色的方法.分享给大家供大家参考.具体分析如下: JQuery动态适时改变字体的颜色,Ajax的效果类似,在文本框输入文字,再选择色块,输入的文字就会变成色块标示的颜色值,很不错的效果吧.如果运行有错,请刷新一次页面即可.   代码如下: &lt;!DOCTYPE html PUBLIC &quot			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlGyab.html" rel="bookmark" class="title">Flash动画制作技巧：分析动画&lbrack;flash视频教程&rsqb;</a>
					<div>
						flash动画|技巧|教程|视频教程 Flash视频教程全集 Flash实例视频教程 全屏观看或直接下载.Swf文件					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVvvQz.html" rel="bookmark" class="title">C&plus;&plus;中正则表达式&lpar;regex&rpar; 替换&lpar;replace&rpar; 详解</a>
					<div>
						正则表达式, 可以替换(replace)匹配的字符串, 使用regex_replace()函数, 需要指定替换的格式; 也可以提供参数, 进行特定的输出, 替换格式的命名空间: &quot;boost ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXnNQb.html" rel="bookmark" class="title">使用InfoSphere Streams的自定义Java 运算符和ICU4J实现实时音译</a>
					<div>
						集成 Java 音译模块和 InfoSphere Streams 的自定义 Java 运算符 简介 在成长型市场区域中,任何解决方案提供商面临的首要挑战是可用数据的方言和语言学的不一致性.由于成长型市 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yJ14z.html" rel="bookmark" class="title">浅谈struts和依赖注入在项目中的应用</a>
					<div>
						我喜欢struts,喜欢ibatis,喜欢spring,但我却喜欢.net,这实在是件很矛盾的事情..net很好用,但在做项目的过程,总觉得缺少了点什么,对了,是框架.在java的世界里,有着许多成熟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKGYyp.html" rel="bookmark" class="title">如何提升win7系统性能和速度？</a>
					<div>
						  如何提升win7系统性能和速度? 1.使用经典主题:右击桌面空白处,选择&quot;个性化&quot;; 2.启用&quot;WINDOWS经典主题&quot;; 3.关闭aero预览特效:右击任 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKa1Wp.html" rel="bookmark" class="title">移花接木，可牛影像教你制作中秋壁纸</a>
					<div>
						农历八月十五日是我国传统的中秋节,也是我国仅次于春节的第二大传统节日.中秋之夜,月色皎洁,传说中的嫦娥也总是萦绕人们心间.今天牛牛将教大家如何利用搜集来的现成图片,轻松制作中秋壁纸,让您的桌面亦有嫦娥 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8AQGb.html" rel="bookmark" class="title">30个新鲜的响应式网站欣赏</a>
					<div>
						  响应式设计是今年的热门话题之一,许多先知先觉的网站已经用上了,与此技术相结合的往往还有碉堡的视差滚动,强强联合后能给网站创造不一样酷炫的效果.今天收集的这组优秀的响应式设计网站希望能给你带来灵感  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0W9E8b.html" rel="bookmark" class="title">百度知道升级方法最新</a>
					<div>
						  工具/原料 360浏览器.UC浏览器.其他浏览器 百度账号若干 注意事项(必看) 1文章分段: 本文分为注意事项(必看).升级方法(基础篇).升级方法(技巧篇)三个阶段,保证看过之后在一星期内将等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8GL8p.html" rel="bookmark" class="title">如何控制U盘的使用</a>
					<div>
						  U盘很小巧玲珑,而且很多手机功能也带U盘功能了,所以想从别人脑里面复制出一些文件,那是非常简单事情,这样对脑里面资料就有很大威胁,其实在win7系统中就不用担心这个问题,我们可以通过设置来禁用所有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZLQ6z.html" rel="bookmark" class="title">《全栈性能测试修炼宝典 JMeter实战》目录&mdash;导读</a>
					<div>
						版权 全栈性能测试修炼宝典 JMeter实战 • 著 [美] Rogers Cadenhead 译 袁国忠 责任编辑 傅道坤 • 人民邮电出版社出版发行 北京市丰台区成寿寺路11号 邮编 100164 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwe1jp.html" rel="bookmark" class="title">ajax c&num; sql-有人能给我段代码吗？关于c&num;和ajax的</a>
					<div>
						问题描述 有人能给我段代码吗?关于c#和ajax的 其实我的要求很简单:页面上有两个按钮,鼠标放到第一个按钮上,弹出一个悬浮窗,悬浮窗里面显示出第一个按钮对应的数据库中&quot;联系人&quot;. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA0aZM.html" rel="bookmark" class="title">opencv-用c来实现bmp图片的双线性插值和旋转</a>
					<div>
						问题描述 用c来实现bmp图片的双线性插值和旋转 用c来实现bmp图片的双线性插值和旋转,求大神解答啊,现在实在弄不出来,opencv也可以的 解决方案 双线性插值是最好实现的算法了至于旋转,需要先  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDW1Ovp.html" rel="bookmark" class="title">三次渡劫，如何成就两年150万粉丝的皇冠店？</a>
					<div>
						主人公名叫徐海洋,一个地道的东北男人.2013年与妻子南下深圳,开始创业.从市场拿货到合作工厂打样生产,店铺历经3次转型,2016年开始爆发式增长.短短两年不到的时间,店铺粉丝从5万暴增到150万,到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRGgZp.html" rel="bookmark" class="title">linux中用ss-manyuser和ss-panel搭建shadowsocks教程</a>
					<div>
						II. 安装 mkdir /data cd /data git clone https://github.com/mengskysama/shadowsocks.git  backend git cl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlZV7p.html" rel="bookmark" class="title">浏览器-有个软件&sol;系统，需要放到服务器上，然后打开网页进行安装，请问如何操作？</a>
					<div>
						问题描述 有个软件/系统,需要放到服务器上,然后打开网页进行安装,请问如何操作? 个人学习使用,在VM虚拟机上建立一个2008serverR2的虚拟机后,安装Apache 想试着装一套问答软件/系统, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmD49b.html" rel="bookmark" class="title">浙江强势扶持145家龙头企业</a>
					<div>
						钟闻 在频频发生龙头企业因资金链断裂而破产.倒闭以及企业主逃匿事件后,浙江的决策层开始出招求解,这一次,&quot;扶持&quot;的不仅仅是资金.昨日,CBN记者获悉,浙江省政府已经低调公布了该省1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZglQ4b.html" rel="bookmark" class="title">《Python 3程序开发指南（第2版&bull;修订版）》&mdash;&mdash;2&period;2 Integral类型</a>
					<div>
						2.2 Integral类型 Python提供了两种内置的Integral类型,即int与bool1.整数与布尔型值都是固定的,但由于Python提供了增强的赋值操作符,使得这一约束极少导致实际问题. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDndDrM.html" rel="bookmark" class="title">&period;net-swfupload 我已修改过上传限制，还是报2038的错误</a>
					<div>
						问题描述 swfupload 我已修改过上传限制,还是报2038的错误 swfupload 我已按照网上说的一步一步修改了,先是修改了配置节可以上传200M的了,也要1个多小时才超时:然后我又修改了s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjwrWM.html" rel="bookmark" class="title">知道username如何构建EMBuddy</a>
					<div>
						问题描述 如题, 比如有个linzh的用户, 怎样构建出EMBuddy, 进而使用demo中的ChatViewController? 解决方案 /*! @method @brief 通过usernam ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60dKyz.html" rel="bookmark" class="title">怎么在C&num; Silverlight项目MainPage&period;xaml&period;cs中写入文件保存到本地&comma;保存到本地的路径是绝对路径&lpar;如保存到C&colon;&bsol;aaa&period;txt&rpar;&comma;怎么写&quest;</a>
					<div>
						问题描述 怎么在C#Silverlight项目MainPage.xaml.cs中写入文件保存到本地,保存到本地的路径是绝对路径(如保存到C:aaa.txt),怎么写?能让我在winform.cs中打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq73Bez.html" rel="bookmark" class="title">很傻的問題但是也希望有人能答下我！</a>
					<div>
						问题描述 VisualStudio2008和.net有什么區別!分別有什么用! 解决方案 解决方案二:一个是开发工具一个是语言解决方案三:VisualStudio2008是.net的开发工具解决方案四 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YD54z.html" rel="bookmark" class="title">Intellij idea断点 Debugger slow&colon; Method breakpoints my dramatically slow down debugging</a>
					<div>
						不知道点到哪里了,IDEA调试特别卡,而且总是如下提示, Debugger slow: Method breakpoints my dramatically slow down debugging 意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jx5Kp.html" rel="bookmark" class="title">JavaScript事件学习小结（三）js事件对象&lowbar;javascript技巧</a>
					<div>
						相关阅读: JavaScript事件学习小结(五)js中事件类型之鼠标事件 http://www.jb51.net/article/86259.htm JavaScript事件学习小结(一)事件流 h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEmg3z.html" rel="bookmark" class="title">了解Android OpenGLES2&period;0（一）&lowbar;Android</a>
					<div>
						什么是OpenGL ES? OpenGL(全写Open Graphics Library)是指定义了一个跨编程语言.跨平台的编程接口规格的专业的图形程序接口.它用于三维图像(二维的亦可),是一个功能强 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ19KKb.html" rel="bookmark" class="title">java基于Socket做一个简单下载器&lowbar;java</a>
					<div>
						本文实例为大家分享了java基于Socket制作下载器的过程,及相关代码,供大家参考,具体内容如下 1.首先要建立一个服务器用来处理信息并给客户端传输文件(电脑)  我是用电脑开了一个WIFI,手机连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z13mz.html" rel="bookmark" class="title">雅虎CEO称与微软有共同利益 建议联手制定标准</a>
					<div>
						      北京时间5月10日消息,据国外媒体报道,雅虎CEO特里·塞梅尔(Terry Semel)周三在表示,在应对网络内容授权及制定网络广告业界标准上,雅虎和微软拥有共同利益并存在相同看法,双方今 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0wGjp.html" rel="bookmark" class="title">jdk1&period;5-maven安装出错，mvn -v报Bad Version</a>
					<div>
						问题描述 maven安装出错,mvn -v报Bad Version 使用的最新的apache-maven-3.3.3,环境变量等配置后,执行命令mvn -v,报错,如下图所示: 我本地配置的jdk是1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NjEJz.html" rel="bookmark" class="title">没有获取到当前用户</a>
					<div>
						问题描述 设置自动登录,第二次登录,但是实际没有登录上去,这是为什么? 解决方案 自动登录只是说 SDK帮你去发起登录的动作,并不代表一定可以登录成功.监听一下自动登录回调,看有没有error					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmYjmb.html" rel="bookmark" class="title">阿里云发布研发协同云 推动百万企业开发运维一体化</a>
					<div>
						4月26日,在云栖大会·南京峰会上,阿里云正式发布研发协同云. 研发协同云 研发协同云是指将软件需求.编码.测试.发布.反馈这整个生命周期都放在云端完成的解决方案.它沉淀了阿里巴巴创立18年来在研发. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YVvmp.html" rel="bookmark" class="title">久邦数码宣布董事会成员及管理层人事变动</a>
					<div>
						[环球科技综合报道]广州,中国,2014年10月21日(Globe,Newswire),-,久邦数码昨日,宣布任命文思海辉副总裁.合规执行官邹香光女士为独立董事,于2014年10月20日生效.邹香光女 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
